com.sun.jna.platform.win32

## Class WinDef.INT_PTR

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.INT_PTR

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  WinDef

    public static class WinDef.INT_PTR
    extends IntegerType

Integer type big enough for a pointer.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`INT_PTR()` Instantiates a new int ptr.
`INT_PTR(long value)` Instantiates a new int ptr.

### Method Summary

All Methods Instance Methods Concrete Methods
`Pointer` `toPointer()` To pointer.

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### INT_PTR

    public INT_PTR()

Instantiates a new int ptr.

#### INT_PTR

    public INT_PTR(long value)

Instantiates a new int ptr.

Parameters:
  `value` - the value

### Method Detail

#### toPointer

    public Pointer toPointer()

To pointer.

Returns:
  the pointer

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.